roasOS
API referenceIntelligence

Get an intelligence document

Read one compiled document by slug, with its markdown body and the structured facts it was compiled from. Free, and there is no quote.

GET
/v1/intelligence/documents/{slug}

Read one compiled document by slug, with its markdown body and the structured facts it was compiled from.

Free, and there is no quote.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

slug*string

Value in

  • "brand-truth"
  • "products"
  • "customer-profiles"
  • "voice-of-customer"
  • "competitors"
  • "creative-patterns"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/intelligence/documents/brand-truth"
{  "data": {    "slug": "brand-truth",    "title": "string",    "description": "string",    "status": "active",    "version": 1,    "summary": "string",    "last_compiled_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "markdown": "string",    "structured": {      "property1": null,      "property2": null    },    "generator": "string",    "source_observed_at": "2019-08-24T14:15:22Z"  }}